Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231692 - rgmanager live migration of vms doesn't work
Summary: rgmanager live migration of vms doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 231691
Blocks: 234895
TreeView+ depends on / blocked
 
Reported: 2007-03-10 00:33 UTC by Lon Hohberger
Modified: 2009-04-16 22:37 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:45:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Enables vm live migration. (deleted)
2007-03-10 00:33 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0580 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2007-10-30 15:37:24 UTC

Description Lon Hohberger 2007-03-10 00:33:12 UTC
Description of problem:

SSIA.

Comment 1 Lon Hohberger 2007-03-10 00:33:12 UTC
Created attachment 149757 [details]
Enables vm live migration.

Comment 2 Lon Hohberger 2007-03-10 00:37:43 UTC
Some of that patch can be pared down; it includes string relocations and
cleanups that were found while debugging the VM migration.  This patch is
already in head CVS.

Comment 3 Kiersten (Kerri) Anderson 2007-03-20 19:12:01 UTC
devel ACK

Comment 4 Rob Kenna 2007-03-20 19:34:17 UTC
pm-ack

Comment 5 Lon Hohberger 2007-03-20 19:46:59 UTC
fixes in cvs / RHEL5 RHEL50 head branches

Comment 6 Chris Feist 2007-03-20 20:16:19 UTC
Removing rhel-5.1 so we can do 5.0.z.

Comment 7 Chris Feist 2007-03-28 19:02:25 UTC
Marking for 5.0.z

Comment 10 Lon Hohberger 2007-06-29 17:54:51 UTC
This bug was fixed in 5.0.1, and is only present in 5.0.0

Migration outright fails on 5.0.0.

  clusvcadm -M vm:myvirtualguest -n this_other_node

... produces an error.  On 5.1.0, the VM should migrate to the specified target
machine, assuming the machine is in the cluster.

Comment 12 errata-xmlrpc 2007-11-07 16:45:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html



Note You need to log in before you can comment on or make changes to this bug.